bug-parted
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH parted 6/7] Makefiles: Fix check-other-sector_sizes


From: Jim Meyering
Subject: Re: [PATCH parted 6/7] Makefiles: Fix check-other-sector_sizes
Date: Sun, 31 Jan 2010 15:55:38 +0100

Hans de Goede wrote:
> Atleast on my system check-other-sector_sizes was actually just testing
> 512 bytes sectors 4 times. This fixes this.
> * Makefile.am: Fix check-other-sector_sizes
> ---
>  Makefile.am |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
>
> diff --git a/Makefile.am b/Makefile.am
> index 0e80967..d5a32ef 100644
> --- a/Makefile.am
> +++ b/Makefile.am
> @@ -78,7 +78,7 @@ MAINTAINERCLEANFILES += \
>
>  .PHONY: ss-1024 ss-2048 ss-4096
>  ss-1024 ss-2048 ss-4096:
> -     PARTED_SECTOR_SIZE=$(ss-,,$@) $(MAKE) check-recursive
> +     PARTED_SECTOR_SIZE=$(subst ss-,,$@) $(MAKE) check-recursive

Thanks!
Obviously a bug.  (introduced by me, btw).
And in fact, it hid a test failure.

I've fixed the failing test, two -Wshadow warnings,
and pushed this change:


>From 2f1828c6e01968db108084e19f3edea0190e83bd Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 31 Jan 2010 15:43:20 +0100
Subject: [PATCH 1/3] build: avoid -Wshadow warnings

* parted/parted.c (do_print): Avoid two shadowing warnings.
---
 parted/parted.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/parted/parted.c b/parted/parted.c
index c4d1779..eb2cea4 100644
--- a/parted/parted.c
+++ b/parted/parted.c
@@ -830,7 +830,7 @@ do_mkpart (PedDevice** dev)
                 ped_exception_leave_all();

                 PedConstraint *constraint_any = ped_constraint_any (*dev);
-                bool added_ok = ped_disk_add_partition (disk, part,
+                added_ok = ped_disk_add_partition (disk, part,
                                                         constraint_any);
                 ped_constraint_destroy (constraint_any);
                 if (added_ok) {
@@ -1346,7 +1346,6 @@ do_print (PedDevice** dev)
         char*           size;
         const char*     name;
         char*           tmp;
-        char*           flags;
         wchar_t*        table_rendered;

         disk = ped_disk_new (*dev);
@@ -1549,7 +1548,7 @@ do_print (PedDevice** dev)
                                     str_list_append (row, name);
                             }

-                            flags = partition_print_flags (part);
+                            char *flags = partition_print_flags (part);
                             str_list_append (row, flags);
                             free (flags);
                     } else {
--
1.7.0.rc1.141.gd3fd2


>From e596dfcf0fe404b3dd0cea385b3590581413aaee Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 31 Jan 2010 15:52:02 +0100
Subject: [PATCH 2/3] tests: adjust t9021-maxima not to fail with 2048-byte 
sectors

* tests/t9021-maxima.sh: At 10,000*512 bytes, the backing file
was too small to support a test simulating a sector size of 2048 bytes.
Use 10,000*$sector_size bytes instead.
---
 tests/t9021-maxima.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/tests/t9021-maxima.sh b/tests/t9021-maxima.sh
index 999a696..eb44eea 100755
--- a/tests/t9021-maxima.sh
+++ b/tests/t9021-maxima.sh
@@ -23,6 +23,7 @@ fi

 : ${srcdir=.}
 . $srcdir/t-lib.sh
+ss=$sector_size_

 fail=0
 dev=dev-file
@@ -33,7 +34,7 @@ export PATH
 for t in msdos gpt dvh sun mac bsd amiga loop pc98; do
     echo $t
     rm -f $dev
-    dd if=/dev/zero of=$dev bs=512 count=1 seek=10000 || { fail=1; continue; }
+    dd if=/dev/zero of=$dev bs=$ss count=1 seek=10000 || { fail=1; continue; }
     parted -s $dev mklabel $t || { fail=1; continue; }

     #case $t in pc98) sleep 999d;; esac
--
1.7.0.rc1.141.gd3fd2


>From 70647d3ddfc0cb9f0aa5734ef2ab4a6102906801 Mon Sep 17 00:00:00 2001
From: Hans de Goede <address@hidden>
Date: Sat, 30 Jan 2010 17:53:52 +0100
Subject: [PATCH 3/3] build: fix check-other-sector_sizes

"make check-other-sector_sizes" was running tests of 512-byte sectors
four times, rather than simulating larger sector-sizes for the latter
three iterations.
* Makefile.am (ss-1024 ss-2048 ss-4096): Fix the typo (missing "subst").
---
 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 0e80967..d5a32ef 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -78,7 +78,7 @@ MAINTAINERCLEANFILES += \

 .PHONY: ss-1024 ss-2048 ss-4096
 ss-1024 ss-2048 ss-4096:
-       PARTED_SECTOR_SIZE=$(ss-,,$@) $(MAKE) check-recursive
+       PARTED_SECTOR_SIZE=$(subst ss-,,$@) $(MAKE) check-recursive

 # Run the regression test suite with different settings,
 # to ensure it works with simulated partition sizes > 512.
--
1.7.0.rc1.141.gd3fd2




reply via email to

[Prev in Thread] Current Thread [Next in Thread]